Status: Closed Start date: 05/07/2019
Priority: Normal Due date:

Assignee: Rakshita Paliwal % Done: 0%
Category: Estimated time: 190.00 hours
Target version: Spent time: 171.00 hours
Description

Angular JS Training Including Common Web and Other required technologies
1. Training Course

https://www.udemy.com/learn-angularjs/learn/v4/t/lecture/1669560?start=300

Time : 140 Hours including practice hours
Hours Breakup

https://www.udemy.com/learn-angularjs/learn/v4/t/lecture/1669560?start=300 90 Hours
HTML : 10 Hours

CSS : 10 Hours

Javascript/Jquery : 10 Hours

Common Web Technology and terminology : 20 Hours

History

#1 - 05/13/2019 06:54 AM - Karishma Tak

Hi Rakshita@
please update your task's details in description box instead of mention in comment section.
please keep in mind from next time.

#2 - 05/13/2019 01:34 PM - Rakshita Paliwal

| read about AngularJS topics with practise programs:

1. Form Validation
2. Filters

3. Custom Filters

4. Route Provider
5. State Provider

#3 - 05/14/2019 01:39 PM - Rakshita Paliwal

| read about next topics of AngularJS which are-
1. Mouse Events

2. Key Events

3. Factory v/s Service v/s Provider

4. Local & Session Storage

Also create a demo project of "Employee Management” in which
1. We add multiple employee's information like Name, Father's Name, Designation, DOB, Email, Phone Number in local storage.
2. Show all the added employees information from local storage.

#4 - 05/15/2019 01:43 PM - Rakshita Paliwal

Today | read about next topics of AngularJS which are-
1. Isolate Scope

2. Scope - true/false

3. BindToController

4. ControllerAs

5. Compile & Pre-link, Post-link function
6. Cookies

Also add some more functionality in yesterday demo project of "Employee Management" --
1. Delete Particular Employee Data and immediately update local storage
2. View single Employee data in dialog box

#5 - 05/16/2019 01:36 PM - Rakshita Paliwal

1. Add "Edit" functionality in Demo Employee Management Project.
2. Create a new demo project related to $g & Promise - resolve functionality. (still working)

Also today | read about

1. Introduction to Asynchronous & Callbacks
2. What is Promise

3. $q service

4. Rejected, Resolved & notify in Promise

#6 - 05/17/2019 01:27 PM - Rakshita Paliwal

1. Create a new demo project related to $q & Promise - resolve functionality(Done).
2. Perform all the input validations in Employee Management demo project.

3. In md-tab, try to change tab on button click (running).

#7 - 05/20/2019 01:23 PM - Rakshita Paliwal

1. Create a demo project in that 4 cases covered related to bindToController
a. Simple two-way binding

b. Isolated Scope w/o bindToController

c. bindToController with attribute sharing

d. bindToController with same scope

2. Create a demo project for promise resolve via
a. $q

b. $http

c. $resource

#8 - 05/21/2019 01:33 PM - Rakshita Paliwal

1. Learn about Components in AngulardS.

2. Create a custom filters -

a. To remove comma from String

b. Truncate decimal digits (Upto 2 digits)
c. Return Date in mmdd format

3. Create a design in material AngularJS in which on image hover text and background changes.

#9 - 05/22/2019 01:23 PM - Rakshita Paliwal

1. Create a design in material AngulardS in which on image hover overlay come with animation.
2. Solve errors of form validation & On Reset button disable ng-message validation.

3. In Angular Material Design, tab change on button click successfully done.

#10 - 05/23/2019 01:43 PM - Rakshita Paliwal

1. Solve Errors of Edit Functionality, Instead of another edit Page, Show data on "Add" Page.

2. Apply date filter on entire table column.

3. Show selected column + Order By Filter on button click. (Running).

#11 - 05/24/2019 01:56 PM - Rakshita Paliwal

worked on a table, on which on button click three filter applies -
1. Multiple Selected Status with checkbox.

2. Selected table's column.

3. Selected column Ascending / Descending Order.

#12 - 05/27/2019 01:39 PM - Rakshita Paliwal

1. Apply filter on every Column on button click
2. Arrow change of Column Heading as column Filter done Ascending or descending
3. In Multiple Selected Checkbox give one more option of All and set functionality for all option
#13 - 05/28/2019 01:41 PM - Rakshita Paliwal

1. Apply Bootstrap Multi Select for more than one checkbox
2. Apply filter based on the value of selected checkbox

3. Also apply filter condition-wise when all or none checkbox selected.

#14 - 05/29/2019 01:37 PM - Rakshita Paliwal

1. Read about ng-blur and revision of Service, Factory and Provider.

2. Work on Design Issues of Employee Manager Project -
a. Story Page
b. View Logs Page

#15 - 05/30/2019 01:44 PM - Rakshita Paliwal

| worked on "Employee Manager" Project Design Issues -
1. Employee Log List Page

2. View Log Hours Page

3. Story & Task Page

#16 - 08/01/2019 12:07 PM - Common User

Rakshita Paliwal Paliwal

1. Implement notification service and use in Report Section
2. Solve all bugs of Report Section mentioned by QA

#17 - 06/26/2024 05:36 AM - Karishma Tak

- Status changed from New to Closed
